mysql_list_fields
mysql_list_tables
MySQL Functions
PHP Manual

# mysql_list_processes

List MySQL processes

Warning

This extension is deprecated as of PHP 5.5.0, and will be removed in the future. Instead, the MySQLi or PDO_MySQL extension should be used. See also MySQL: choosing an API guide and related FAQ for more information. Alternatives to this function include:

- mysqli_thread_id

### Description

resource mysql_list_processes ([ resource `$link_identifier` = NULL ] )

Retrieves the current MySQL server threads.

### Parameters

`link_identifier`

  The MySQL connection. If the link identifier is not specified, the last link opened by mysql_connect is assumed. If no such link is found, it will try to create one as if mysql_connect was called with no arguments. If no connection is found or established, an `E_WARNING` level error is generated.

### Return Values

A result pointer resource on success or `FALSE` on failure.

### Examples

Example #1 mysql_list_processes example

`<?php
$link = mysql_connect('localhost', 'mysql_user', 'mysql_password');
$result = mysql_list_processes($link);
while ($row = mysql_fetch_assoc($result)){
printf("%s %s %s %s %s\n", $row["Id"], $row["Host"], $row["db"],
$row["Command"], $row["Time"]);
}
mysql_free_result($result);
?>`

The above example will output something similar to:

    1 localhost test Processlist 0
    4 localhost mysql sleep 5

### See Also

- mysql_thread_id
- mysql_stat